unit TestUnit;

interface

uses
  {Windows,}WinTypes, WinProcs, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  SupraINI, StdCtrls, Buttons;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Memo1: TMemo;
    Button2: TButton;
    Edit1: TEdit;
    Edit2: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Button3: TButton;
    OpenDialog1: TOpenDialog;
    Edit3: TEdit;
    Label3: TLabel;
    Button5: TButton;
    Button6: TButton;
    Button7: TButton;
    CheckBox1: TCheckBox;
    Button8: TButton;
    Button9: TButton;
    Button10: TButton;
    Button11: TButton;
    Button12: TButton;
    SpeedButton1: TSpeedButton;
    SpeedButton2: TSpeedButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCreate(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button7Click(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure Button8Click(Sender: TObject);
    procedure Button9Click(Sender: TObject);
    procedure Button10Click(Sender: TObject);
    procedure Button11Click(Sender: TObject);
    procedure Button12Click(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  INI1 : TSupraINI;
  
implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
var
 test : TFileStream;
begin
{//showmessage(copyrightText);}
 Memo1.Lines.Clear;
with Opendialog1 do
 if execute then
 begin
 Test := TFileStream.Create(filename,fmOpenRead);
 try
 INI1.LoadFromStream(Test);{//('test.ini');}
 finally
  Test.Free;
  end;
 end;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
Showmessage(Ini1.ReadString(Edit1.text, Edit2.text, 'No Entry'));
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
INi1.free;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
Ini1 := TSupraINI.Create('');
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
INI1.tempData.Addstrings(memo1.lines);
INI1.Parse;
end;

procedure TForm1.Button6Click(Sender: TObject);
begin
Ini1.RawToFile('rawdump.txt');
Showmessage('Dumped to rawdump.txt');
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
Ini1.WriteString(Edit1.text, Edit2.text, edit3.text);
end;

procedure TForm1.Button7Click(Sender: TObject);
begin
INI1.SaveToFile('INIDump.ini');
Showmessage('Saved to INIDump.ini');
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
INI1.WriteBool('A Boolean Test','Checkbox1',checkbox1.checked);
end;

procedure TForm1.Button8Click(Sender: TObject);
begin
INI1.DeleteKey(Edit1.text,Edit2.text);
end;

procedure TForm1.Button9Click(Sender: TObject);
begin
INI1.EraseSection(edit1.text);
end;

procedure TForm1.Button10Click(Sender: TObject);
begin
INI1.ReadSections(Memo1.lines);
end;

procedure TForm1.Button11Click(Sender: TObject);
begin
INI1.ReadSection(edit1.text, Memo1.lines);
end;

procedure TForm1.Button12Click(Sender: TObject);
begin
INI1.ReadSectionValues(edit1.text, Memo1.lines);
end;

procedure TForm1.SpeedButton1Click(Sender: TObject);
var
 thefloat : extended;
begin
try
thefloat := strtoFloat(edit3.text);
 except
 on EConvertError do TheFloat := 0;
 end;
INI1.WriteFloat(Edit1.text, edit2.text, thefloat);
end;

procedure TForm1.SpeedButton2Click(Sender: TObject);
begin
Showmessage(floattostrF(INI1.ReadFloat(Edit1.text, edit2.text, 0),ffGeneral,18,0));
end;

end.
